// ControlListDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CControlListDlg dialog

class CControlListDlg : public CDialog
{
// Construction
public:
	CControlListDlg(CWnd* pParent = NULL);   // standard constructor
	CString	m_ClsidString ;

// Dialog Data
	//{{AFX_DATA(CControlListDlg)
	enum { IDD = IDD_DIALOG2 };
	CListBox	m_List;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CControlListDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	void FreeListBoxData ( );

	// Generated message map functions
	//{{AFX_MSG(CControlListDlg)
	virtual BOOL OnInitDialog();
	virtual void OnCancel();
	virtual void OnOK();
	afx_msg void OnDblclkList1();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};
